<!DOCTYPE html>
<html>
    <head>
        <title>To-Do List Detail</title>
    </head>
    <body>
        <main>
            <div>
                <h1>{{ todo_list.name }}</h1>
                <p>
                    <a href="{% url 'todo_list_update' todo_list.id %}">Edit</a>
                </p>
                <p>
                    <a href="{% url 'todo_list_delete' todo_list.id %}">Delete</a>
                </p>
                <h2>Tasks</h2>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due Date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.task }}</td>
                                <td>{{ task.due_date }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
